Loading...
Searching...
No Matches
bwRTree_t Struct Reference

`#include <bwValues.h>`

## Data Fields

uint32_t | blockSize
uint64_t | nItems
uint32_t | chrIdxStart
uint32_t | baseStart
uint32_t | chrIdxEnd
uint32_t | baseEnd
uint64_t | idxSize
uint32_t | nItemsPerSlot
uint64_t | rootOffset
bwRTreeNode_t * | root

## Detailed Description

A header and index that points to an R-tree that in turn points to data blocks.

## Field Documentation

## baseEnd

uint32_t bwRTree_t::baseEnd

The last position on chrIdxEnd with an entry.

## baseStart

uint32_t bwRTree_t::baseStart

The first position on chrIdxStart with a value.

## blockSize

uint32_t bwRTree_t::blockSize

The maximum number of children a node can have

## chrIdxEnd

uint32_t bwRTree_t::chrIdxEnd

The index of the last chromosome with an entry.

## chrIdxStart

uint32_t bwRTree_t::chrIdxStart

The index to the first chromosome described.

## idxSize

uint64_t bwRTree_t::idxSize

This is actually the offset of the index rather than the size?!? Yes, it's completely redundant.

## nItems

uint64_t bwRTree_t::nItems

The total number of data blocks pointed to by the tree. This is completely redundant.

## nItemsPerSlot

uint32_t bwRTree_t::nItemsPerSlot

This is always 1!

## root

bwRTreeNode_t* bwRTree_t::root

A pointer to the root node.

## rootOffset

uint64_t bwRTree_t::rootOffset

The offset to the root node of the R-Tree (on disk). Yes, this is redundant.

The documentation for this struct was generated from the following file:

- bwValues.h